Skip to main content
PATCH
/
public
/
pipelines
/
{pipelineId}
/
versions
/
{versionId}
Update a pipeline version
curl --request PATCH \
  --url https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId} \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --data '
{
  "name": "Renamed Version"
}
'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "number": 1,
  "pipelineId": "00000000-0000-0000-0000-000000000000",
  "schema": {},
  "isLatestLive": true,
  "name": "My Version",
  "pipelineOptions": {},
  "versionId": "00000000-0000-0000-0000-000000000000",
  "versionNumber": 1,
  "versionName": "My Version",
  "madeLiveAt": "2021-01-01T00:00:00.000Z"
}

Authorizations

apiKey
string
header
required

Path Parameters

pipelineId
string<uuid>
required

The ID of the pipeline

versionId
string<uuid>
required

The ID of the pipeline version

Body

application/json
name
string

The new name for the pipeline version

Example:

"Renamed Version"

Response

The updated pipeline version

Represents a pipeline version resource

id
string<uuid>
required

The ID of the pipeline version

Example:

"00000000-0000-0000-0000-000000000000"

number
number
required

The version number

Example:

1

pipelineId
string<uuid>
required

The ID of the parent pipeline

Example:

"00000000-0000-0000-0000-000000000000"

schema
object
required

The pipeline schema definition

isLatestLive
boolean
required

Whether this is the latest live version

Example:

true

name
string | null

The name of the pipeline version

Example:

"My Version"

pipelineOptions
object

Pipeline configuration options

versionId
string<uuid>

The ID of the pipeline version (alias for id)

Example:

"00000000-0000-0000-0000-000000000000"

versionNumber
number

The version number (alias for number)

Example:

1

versionName
string | null

The name of the pipeline version (alias for name)

Example:

"My Version"

madeLiveAt
string<date-time> | null

When this version was made live

Example:

"2021-01-01T00:00:00.000Z"